summaryrefslogtreecommitdiffstats
path: root/games/cutemaze
diff options
context:
space:
mode:
author LEVAI Daniel <leva@ecentrum.hu>2013-12-31 13:36:51 -0600
committer Erik Hanson <erik@slackbuilds.org>2013-12-31 13:36:51 -0600
commit634f085fad03b799571df855a38f43fc3edb4fe8 (patch)
tree33126a2bfe6be5d5e2072204ef348a7a21455154 /games/cutemaze
parent2cab7a2c91a52d3a568784130aaa331da78b3892 (diff)
downloadslackbuilds-634f085fad03b799571df855a38f43fc3edb4fe8.tar.gz
slackbuilds-634f085fad03b799571df855a38f43fc3edb4fe8.tar.xz
games/cutemaze: Added (top-down maze game)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'games/cutemaze')
-rw-r--r--games/cutemaze/README4
-rw-r--r--games/cutemaze/cutemaze.SlackBuild95
-rw-r--r--games/cutemaze/cutemaze.info10
-rw-r--r--games/cutemaze/doinst.sh10
-rw-r--r--games/cutemaze/slack-desc19
5 files changed, 138 insertions, 0 deletions
diff --git a/games/cutemaze/README b/games/cutemaze/README
new file mode 100644
index 0000000000..5d84275b1d
--- /dev/null
+++ b/games/cutemaze/README
@@ -0,0 +1,4 @@
+CuteMaze is a simple, top-down game in which mazes are randomly generated using
+one of a choice of several different algorithms. You move the character through
+the maze while hunting for targets (cheese, by default)—the game is won once
+all of these targets have been picked up.
diff --git a/games/cutemaze/cutemaze.SlackBuild b/games/cutemaze/cutemaze.SlackBuild
new file mode 100644
index 0000000000..cf1af96c29
--- /dev/null
+++ b/games/cutemaze/cutemaze.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/sh
+
+# Copyright (c) 2013 LEVAI Daniel
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are met:
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# * Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+# * Neither the name of the <organization> nor the
+# names of its contributors may be used to endorse or promote products
+# derived from this software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED ''AS IS'' AND ANY
+# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+# DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY
+# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Build script for cutemaze
+
+PRGNAM=cutemaze
+VERSION=${VERSION:-1.1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ];then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION-src.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir build
+cd build
+qmake PREFIX=$PKG/usr ../
+CFLAGS="$SLKCFLAGS" make
+make install
+cd ..
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/
+cp -a ChangeLog README \
+ $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc -type f -exec chmod 0644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/cutemaze/cutemaze.info b/games/cutemaze/cutemaze.info
new file mode 100644
index 0000000000..821b4aff19
--- /dev/null
+++ b/games/cutemaze/cutemaze.info
@@ -0,0 +1,10 @@
+PRGNAM="cutemaze"
+VERSION="1.1.0"
+HOMEPAGE="http://gottcode.org/cutemaze/"
+DOWNLOAD="http://gottcode.org/cutemaze/cutemaze-1.1.0-src.tar.bz2"
+MD5SUM="ffe91cbd4e249393ef2474bf62846f2e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="LEVAI Daniel"
+EMAIL="leva@ecentrum.hu"
diff --git a/games/cutemaze/doinst.sh b/games/cutemaze/doinst.sh
new file mode 100644
index 0000000000..1f8ff67ded
--- /dev/null
+++ b/games/cutemaze/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/games/cutemaze/slack-desc b/games/cutemaze/slack-desc
new file mode 100644
index 0000000000..ca00108e23
--- /dev/null
+++ b/games/cutemaze/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+cutemaze: cutemaze (top-down maze game)
+cutemaze:
+cutemaze: CuteMaze is a simple, top-down game in which mazes are randomly
+cutemaze: generated using one of a choice of several different algorithms. You
+cutemaze: move the character through the maze while hunting for targets
+cutemaze: (cheese, by default)—the game is won once all of these targets have
+cutemaze: been picked up.
+cutemaze:
+cutemaze: Homepage: http://gottcode.org/cutemaze/
+cutemaze:
+cutemaze: